'''
% Mean lifespan 
% This program estimates mean survival time from the survival curve.
%
%
% Last Update: 2011.06.03
% By Jae-Seong Yang, destine@postech.ac.kr
'''

import SurvivalData

if __name__ == "__main__":
    conditions = SurvivalData.ReadDataFromFile( "sample.txt" )

    SurvivalData.Statistics( conditions )

    print "\t".join(["Name","No. of subjects","Days (mean)","Std. err (mean)","95% C.I. (mean)",
                     "25%", "50%","75%","90%", "100%", "95% median C.I."] )

    for aData in conditions:
        print aData.name, "\t",
        print aData.all, "\t",
        print aData.mean, "\t",
        print aData.stderr, "\t",
        print aData.low_ci,
        print "~", 
        print aData.high_ci, "\t",
        print aData.at_25, "\t",
        print aData.at_50, "\t",
        print aData.at_75, "\t",
        print aData.at_90, "\t",
        print aData.at_100, "\t",
        print aData.median_ci


